Package org.wso2.carbon.task.stub.types.axis2

## Class GetTaskDescription

- java.lang.Object
- - org.wso2.carbon.task.stub.types.axis2.GetTaskDescription

- All Implemented Interfaces:
    `Serializable`, `org.apache.axis2.databinding.ADBBean`

      public class GetTaskDescription
      extends Object
      implements org.apache.axis2.databinding.ADBBean

  GetTaskDescription bean class
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `GetTaskDescription.Factory` | Factory class that keeps the parse method

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected String` | `localGroup` | field for Group
    `protected boolean` | `localGroupTracker` |
    `protected String` | `localS` | field for S
    `protected boolean` | `localSTracker` |
    `static QName` | `MY_QNAME` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GetTaskDescription()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getGroup()` | Auto generated getter method
    `org.apache.axiom.om.OMElement` | `getOMElement​(QName parentQName, org.apache.axiom.om.OMFactory factory)` |
    `XMLStreamReader` | `getPullParser​(QName qName)` | databinding method to get an XML representation of this object
    `String` | `getS()` | Auto generated getter method
    `boolean` | `isGroupSpecified()` |
    `boolean` | `isSSpecified()` |
    `void` | `serialize​(QName parentQName, XMLStreamWriter xmlWriter)` |
    `void` | `serialize​(QName parentQName, XMLStreamWriter xmlWriter, boolean serializeType)` |
    `void` | `setGroup​(String param)` | Auto generated setter method
    `void` | `setS​(String param)` | Auto generated setter method

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MY_QNAME

          public static final QName MY_QNAME

    - #### localS

          protected String localS

      field for S

    - #### localSTracker

          protected boolean localSTracker

    - #### localGroup

          protected String localGroup

      field for Group

    - #### localGroupTracker

          protected boolean localGroupTracker

  - ### Constructor Detail

    - #### GetTaskDescription

          public GetTaskDescription()

  - ### Method Detail

    - #### isSSpecified

          public boolean isSSpecified()

    - #### getS

          public String getS()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setS

          public void setS​(String param)

      Auto generated setter method
      Parameters:
        `param` - S

    - #### isGroupSpecified

          public boolean isGroupSpecified()

    - #### getGroup

          public String getGroup()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setGroup

          public void setGroup​(String param)

      Auto generated setter method
      Parameters:
        `param` - Group

    - #### getOMElement

          public org.apache.axiom.om.OMElement getOMElement​(QName parentQName,
                                                            org.apache.axiom.om.OMFactory factory)
                                                     throws org.apache.axis2.databinding.ADBException

      Specified by:
        `getOMElement` in interface `org.apache.axis2.databinding.ADBBean`
      Parameters:
        `parentQName` -
        `factory` -
      Returns:
        org.apache.axiom.om.OMElement
      Throws:
        `org.apache.axis2.databinding.ADBException`

    - #### serialize

          public void serialize​(QName parentQName,
                                XMLStreamWriter xmlWriter)
                         throws XMLStreamException,
                                org.apache.axis2.databinding.ADBException

      Specified by:
        `serialize` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `XMLStreamException`
        `org.apache.axis2.databinding.ADBException`

    - #### serialize

          public void serialize​(QName parentQName,
                                XMLStreamWriter xmlWriter,
                                boolean serializeType)
                         throws XMLStreamException,
                                org.apache.axis2.databinding.ADBException

      Specified by:
        `serialize` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `XMLStreamException`
        `org.apache.axis2.databinding.ADBException`

    - #### getPullParser

          public XMLStreamReader getPullParser​(QName qName)
                                        throws org.apache.axis2.databinding.ADBException

      databinding method to get an XML representation of this object
      Specified by:
        `getPullParser` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `org.apache.axis2.databinding.ADBException`